Package fr.gouv.vitam.common.model.objectgroup

# Class ObjectGroupResponse

java.lang.Object
fr.gouv.vitam.common.model.objectgroup.ObjectGroupResponse

public class ObjectGroupResponse extends Object
Object Mapping for object group used in AccessInternalModuleImp

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALL_UNIT_UPS`
  `static final String`
  `BATCH_ID`
  `static final String`
  `ERRORS`
  `static final String`
  `FILE_INFO`
  `static final String`
  `ID`
  `static final String`
  `NB_OBJECTS`
  `static final String`
  `OPERATIONS`
  `static final String`
  `OPI`
  `static final String`
  `ORIGINATING_AGENCIES`
  `static final String`
  `ORIGINATING_AGENCY`
  `static final String`
  `QUALIFIERS`
  `static final String`
  `STORAGE`
  `static final String`
  `TENANT`
  `static final String`
  `TYPE`
  `static final String`
  `UNIT_UPS`
  `static final String`
  `VERSION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectGroupResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBatchId()`
  `List<ValidationError>`
  `getErrors()`
  `FileInfoModel`
  `getFileInfo()`
  `Optional<VersionsModel>`
  `getFirstVersionsModel(String qualifier)`
  `String`
  `getId()`
  `Optional<VersionsModel>`
  `getLastVersionsModel(String qualifier)`
  `int`
  `getNbc()`
  `String`
  `getOpi()`
  `List<String>`
  `getOps()`
  `List<String>`
  `getOriginatingAgencies()`
  `String`
  `getOriginatingAgency()`
  `List<QualifiersModel>`
  `getQualifiers()`
  `StorageRacineModel`
  `getStorage()`
  `int`
  `getTenant()`
  `String`
  `getType()`
  `List<String>`
  `getUp()`
  `List<String>`
  `getUs()`
  `String`
  `getVersion()`
  `void`
  `setBatchId(String batchId)`
  `ObjectGroupResponse`
  `setErrors(List<ValidationError> errors)`
  `void`
  `setFileInfo(FileInfoModel fileInfo)`
  `void`
  `setId(String id)`
  `void`
  `setNbc(int nbc)`
  `void`
  `setOpi(String opi)`
  `void`
  `setOps(List<String> ops)`
  `void`
  `setOriginatingAgencies(List<String> originatingAgencies)`
  `void`
  `setOriginatingAgency(String originatingAgency)`
  `void`
  `setQualifiers(List<QualifiersModel> qualifiers)`
  `void`
  `setStorage(StorageRacineModel storage)`
  `void`
  `setTenant(int tenant)`
  `void`
  `setType(String type)`
  `void`
  `setUp(List<String> up)`
  `void`
  `setUs(List<String> us)`
  `void`
  `setVersion(String version)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### QUALIFIERS

    public static final String QUALIFIERS
    See Also:
      - Constant Field Values

  - ### ID

    public static final String ID
    See Also:
      - Constant Field Values

  - ### TENANT

    public static final String TENANT
    See Also:
      - Constant Field Values

  - ### FILE_INFO

    public static final String FILE_INFO
    See Also:
      - Constant Field Values

  - ### UNIT_UPS

    public static final String UNIT_UPS
    See Also:
      - Constant Field Values

  - ### ALL_UNIT_UPS

    public static final String ALL_UNIT_UPS
    See Also:
      - Constant Field Values

  - ### NB_OBJECTS

    public static final String NB_OBJECTS
    See Also:
      - Constant Field Values

  - ### OPERATIONS

    public static final String OPERATIONS
    See Also:
      - Constant Field Values

  - ### OPI

    public static final String OPI
    See Also:
      - Constant Field Values

  - ### BATCH_ID

    public static final String BATCH_ID
    See Also:
      - Constant Field Values

  - ### ORIGINATING_AGENCY

    public static final String ORIGINATING_AGENCY
    See Also:
      - Constant Field Values

  - ### ORIGINATING_AGENCIES

    public static final String ORIGINATING_AGENCIES
    See Also:
      - Constant Field Values

  - ### VERSION

    public static final String VERSION
    See Also:
      - Constant Field Values

  - ### TYPE

    public static final String TYPE
    See Also:
      - Constant Field Values

  - ### STORAGE

    public static final String STORAGE
    See Also:
      - Constant Field Values

  - ### ERRORS

    public static final String ERRORS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ObjectGroupResponse

    public ObjectGroupResponse()

- ## Method Details

  - ### getStorage

    public StorageRacineModel getStorage()

  - ### setStorage

    public void setStorage(StorageRacineModel storage)

  - ### getQualifiers

    public List<QualifiersModel> getQualifiers()

  - ### setQualifiers

    public void setQualifiers(List<QualifiersModel> qualifiers)

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getTenant

    public int getTenant()

  - ### setTenant

    public void setTenant(int tenant)

  - ### getFileInfo

    public FileInfoModel getFileInfo()

  - ### setFileInfo

    public void setFileInfo(FileInfoModel fileInfo)

  - ### getUp

    public List<String> getUp()

  - ### setUp

    public void setUp(List<String> up)

  - ### getUs

    public List<String> getUs()

  - ### setUs

    public void setUs(List<String> us)

  - ### getNbc

    public int getNbc()

  - ### setNbc

    public void setNbc(int nbc)

  - ### getOps

    public List<String> getOps()

  - ### setOps

    public void setOps(List<String> ops)

  - ### getOriginatingAgency

    public String getOriginatingAgency()

  - ### setOriginatingAgency

    public void setOriginatingAgency(String originatingAgency)

  - ### getOriginatingAgencies

    public List<String> getOriginatingAgencies()

  - ### setOriginatingAgencies

    public void setOriginatingAgencies(List<String> originatingAgencies)

  - ### getVersion

    public String getVersion()

  - ### setVersion

    public void setVersion(String version)

  - ### getType

    public String getType()

  - ### setType

    public void setType(String type)

  - ### getOpi

    public String getOpi()

  - ### setOpi

    public void setOpi(String opi)

  - ### getBatchId

    public String getBatchId()

  - ### setBatchId

    public void setBatchId(String batchId)

  - ### getLastVersionsModel

    public Optional<VersionsModel> getLastVersionsModel(String qualifier)

  - ### getFirstVersionsModel

    public Optional<VersionsModel> getFirstVersionsModel(String qualifier)

  - ### getErrors

    public List<ValidationError> getErrors()

  - ### setErrors

    public ObjectGroupResponse setErrors(List<ValidationError> errors)